Skip to content

Get reports for a project

POST
/api/report/{projectid}/reports
curl --request POST \
--url https://api.eventpoint.io/api/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reports \
--header 'x-api-key: <x-api-key>'
projectid
required
string format: uuid

The project identifier.

OK

Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
baseReportId
null | string format: uuid
formId
null | string format: uuid
code
null | string
name
null | string
description
null | string
eventTypeId
null | string format: uuid
authLevel
string
isLocked
boolean
publish
boolean
dashboard
boolean
hiq
boolean
isMasterDetails
boolean
queryTemplateKey
null | string
queryTemplateVersion
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
hasChecklist
boolean
lastGenerated
null | string format: date-time
reportType
Allowed values: AdHoc Custom Standard
objType
null | string
descriptors
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string